Bug 1464027 - SELinux is preventing gsd-wacom from 'setattr' accesses on the directory cache.
SELinux is preventing gsd-wacom from 'setattr' accesses on the directory cache.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:90276660ec12ff23010222635d5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 06:10 EDT by Ezequiel Birman
Modified: 2017-10-02 12:49 EDT (History)
8 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-259.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 15:13:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ezequiel Birman 2017-06-22 06:10:04 EDT
Description of problem:
While running "sudo dnf -y install qbittorrent-nox adobe-source-code-pro-fonts adobe-source-sans-pro-fonts adobe-source-serif-pro-fonts"
SELinux is preventing gsd-wacom from 'setattr' accesses on the directory cache.

*****  Plugin catchall (100. confidence) suggests   **************************

If cree que de manera predeterminada, gsd-wacom debería permitir acceso setattr sobre cache directory.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
allow this access for now by executing:
# ausearch -c 'gsd-wacom' --raw | audit2allow -M my-gsdwacom
# semodule -X 300 -i my-gsdwacom.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                cache [ dir ]
Source                        gsd-wacom
Source Path                   gsd-wacom
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-257.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.5-300.fc26.x86_64 #1 SMP Wed
                              Jun 14 19:16:35 UTC 2017 x86_64 x86_64
Alert Count                   184
First Seen                    2017-06-21 20:45:11 -03
Last Seen                     2017-06-22 07:01:53 -03
Local ID                      4289c08f-7c18-4ef1-9385-d688b96c7c18

Raw Audit Messages
type=AVC msg=audit(1498125713.319:1231): avc:  denied  { setattr } for  pid=1847 comm="gsd-a11y-keyboa" name="cache" dev="dm-0" ino=6682 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=dir permissive=0


Hash: gsd-wacom,xdm_t,lib_t,dir,setattr

Version-Release number of selected component:
selinux-policy-3.13.1-257.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.5-300.fc26.x86_64
type:           libreport
Comment 1 Fedora Update System 2017-06-23 14:11:55 EDT
selinux-policy-3.13.1-259.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7b51a015cb
Comment 2 Fedora Update System 2017-06-24 21:19:51 EDT
selinux-policy-3.13.1-259.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7b51a015cb
Comment 3 Fedora Update System 2017-06-26 15:13:03 EDT
selinux-policy-3.13.1-259.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.